diff -up /usr/lib/python2.7/site-packages/os_cloud_config/nodes.py.orig /usr/lib/python2.7/site-packages/os_cloud_config/nodes.py
--- /usr/lib/python2.7/site-packages/os_cloud_config/nodes.py.orig	2016-03-02 21:42:31.375777920 +0000
+++ /usr/lib/python2.7/site-packages/os_cloud_config/nodes.py	2016-03-03 16:11:56.195056774 +0000
@@ -122,6 +122,13 @@ def _pxe_wol_driver_info(node):
         driver_info["wol_port"] = node["pm_port"]
     return driver_info
 
+def _pxe_amt_driver_info(node):
+    driver_info = {"amt_address": node["pm_addr"],
+                   "amt_username": node["pm_user"],
+                   "amt_password": node["pm_password"]}
+    if "pm_protocol" in node:
+        driver_info["amt_protocol"] = node["pm_protocol"]
+    return driver_info
 
 def _associate_deploy_kr_info(driver_info, node):
     if "pxe" in node["pm_type"]:
@@ -144,7 +151,8 @@ def _extract_driver_info(node):
                        "iscsi_irmc": _iscsi_irmc_driver_info,
                        # agent_irmc and iscsi_irmc share the same driver info
                        "agent_irmc": _iscsi_irmc_driver_info,
-                       "pxe_wol": _pxe_wol_driver_info}
+                       "pxe_wol": _pxe_wol_driver_info,
+                       "pxe_amt": _pxe_amt_driver_info}
 
     def _get_driver_info(node):
         pm_type = node["pm_type"]
diff -up /usr/lib/python2.7/site-packages/tripleoclient/v1/baremetal.py.orig /usr/lib/python2.7/site-packages/tripleoclient/v1/baremetal.py
--- /usr/lib/python2.7/site-packages/tripleoclient/v1/baremetal.py.orig	2016-03-02 21:20:09.566731983 +0000
+++ /usr/lib/python2.7/site-packages/tripleoclient/v1/baremetal.py	2016-03-02 21:39:26.248771582 +0000
@@ -124,6 +124,22 @@ class ValidateInstackEnv(command.Command
                     self.error_count += 1
                 baremetal_ips.append(node['pm_addr'])
 
+            if node['pm_type'] == "pxe_amt":
+                self.log.debug("Identified baremetal AMT node")
+                # FIXME1: needs wsmancli to be installed
+                # FIXME2: if the password is wrong the CLI prompts the user instead of failing?
+                # FIXME3: do we need to parametrize port via the json file?
+                # wsman -V -v identify -h 192.0.2.100 --port=16992 -u admin --password='renV1234'
+                cmd = ('wsman -V -v identify -h %s --port 16992 -u %s --password=\'%s\'' %
+                       (node['pm_addr'], node['pm_user'], node['pm_password']))
+             
+                self.log.debug("Executing: %s", cmd)
+                status = utils.run_shell(cmd)
+                if status != 0:
+                    self.log.error('ERROR: wsmanfailed')
+                    self.error_count += 1
+                baremetal_ips.append(node['pm_addr'])
+
         if not utils.all_unique(baremetal_ips):
             self.log.error('ERROR: Baremetals IPs are not all unique.')
             self.error_count += 1
